
Infrastructure - Task #1276

Story # 589 (Closed): modify metacat native interfaces to support arbitrary identifiers and system metadata

CrudService.createSystemMetadata needs to add describes/describedBy elements to SM

2011-01-28 17:37 - Chad Berkley

Status: Closed Start date: 2011-01-28

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2011.09-Block.2   

Milestone:  Story Points:  

Product Version: *   

Description

describes/describedBy is being added in MetacatPopulator.populate(), but not in CrudService.createSystemMetadata().  Both

methods should be doing this.

History

#1 - 2011-02-09 23:01 - Matthew Jones

- Category set to Metacat

- Assignee changed from Chad Berkley to Chris Jones

- Parent task changed from #1275 to #589

#2 - 2011-02-14 17:27 - Chris Jones

- Status changed from In Progress to Closed

createSystemMetadata() now looks at EML entity information for ecogrid:// described data and sets system metadata correctly, and identifiers are

updated in the identifier table.
